import platform

from lib_create_env import lib_generate_install_methods, install_pylucene, install_psycopg2, lib_add_options

system_str = platform.system()


INSTALLS = [#(key,method, option_str, dict_extra_env)
]

OPTIONS_TO_ADD = ['--no-site-packages','--clear', '--type-install=local', "--unzip-setuptools"]

def generate_install_methods(path_locations, src_base, Logger, call_subprocess):    
    return lib_generate_install_methods(path_locations, src_base, Logger, call_subprocess, INSTALLS)

add_options = lambda : lib_add_options(OPTIONS_TO_ADD)